desc_t2_delivery.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the DVB-T2 delivery system descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_desc_t2_delivery_subcell_old
| Structure to describe transponder subcell extension and frequencies. More...
struct | dvb_desc_t2_delivery_subcell
| Structure to describe transponder subcell extension and frequencies. More...
struct | dvb_desc_t2_delivery_cell
| Structure to describe transponder cells. More...
struct | dvb_desc_t2_delivery
| Structure containing the T2 delivery system descriptor. More...

## Functions

int | dvb_desc_t2_delivery_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_extension_descriptor *ext, void *desc)
| Initializes and parses the T2 delivery system descriptor.
void | dvb_desc_t2_delivery_print (struct dvb_v5_fe_parms *parms, const struct dvb_extension_descriptor *ext, const void *desc)
| Prints the content of the T2 delivery system descriptor.
void | dvb_desc_t2_delivery_free (const void *desc)
| Frees all data allocated by the T2 delivery system descriptor.

## Variables

const unsigned | dvbt2_bw []
| converts from internal representation into bandwidth in Hz
const uint32_t | dvbt2_interval []
| converts from internal representation into enum fe_guard_interval, as defined at DVBv5 API.
const unsigned | dvbt2_transmission_mode []
| converts from the descriptor's transmission mode into enum fe_transmit_mode, as defined by DVBv5 API.
const char * | siso_miso [4]
| converts from internal representation to string the SISO_MISO field of dvb_desc_t2_delivery:SISO_MISO field.

## Detailed Description

Provides the descriptors for the DVB-T2 delivery system descriptor.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Relevant specs
  The descriptor described herein is defined at:
  - ETSI EN 300 468 V1.11.1

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_t2_delivery.h.

## Variable Documentation

## dvbt2_bw

const unsigned dvbt2_bw[]

extern

converts from internal representation into bandwidth in Hz

Referenced by dvb_desc_t2_delivery_free().

## dvbt2_interval

const uint32_t dvbt2_interval[]

extern

converts from internal representation into enum fe_guard_interval, as defined at DVBv5 API.

Referenced by dvb_desc_t2_delivery_free().

## dvbt2_transmission_mode

const unsigned dvbt2_transmission_mode[]

extern

converts from the descriptor's transmission mode into enum fe_transmit_mode, as defined by DVBv5 API.

Referenced by dvb_desc_t2_delivery_free().

## siso_miso

const char* siso_miso[4]

extern

converts from internal representation to string the SISO_MISO field of dvb_desc_t2_delivery:SISO_MISO field.

Referenced by dvb_desc_t2_delivery_free().